.ribbon {
    display: none;
}

@media (min-width: 768px) {
    .ribbon {
        background: @ge-color-red;
        box-shadow: 0px 2px 4px rgba(0, 0, 0, .4);
        color: #FFF;
        display: inline-block;
        left: -70px;
        padding: .2em 1.6em;
        position: absolute;
        text-align: center;
        text-transform: uppercase;
        top: 50px;
        .rotate(-45deg);
        .transform-origin(50% 0);
        width: 240px;
        z-index: 1000;
    }
    
    body > .ribbon {
        position: fixed;
    }
}
